| DocBook: The Definitive Guide 2.0.17 (Alpha)

# subjectset

$Revision$

$Date$

subjectset — A set of terms describing the subject matter of a document

## Synopsis

### Content Model

    subjectset ::=
    (subject+)

### Attributes

Common attributes

Name | Type | Default
scheme | NMTOKEN | None

## Description

A `SubjectSet` is a container for a set of `Subject`s. All of the `Subject`s within a `SubjectSet` should come from the same controlled vocabulary.

A document can be described using terms from more than one controlled vocabulary. In order to do this, you should use the `Scheme` attribute to distinguish between controlled vocabularies.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Subjects are rarely displayed to a reader. Usually, they are reserved for searching and retrieval purposes.

DocBook does not specify a relationship between `SubjectSet`s in different parts of a document or between a `SubjectSet` and the `SubjectSet`s of enclosing parts of the document.

### Parents

These elements contain subjectset: `appendixinfo`, `articleinfo`, `bibliographyinfo`, `blockinfo`, `bookinfo`, `chapterinfo`, `glossaryinfo`, `indexinfo`, `objectinfo`, `partinfo`, `prefaceinfo`, `refentryinfo`, `referenceinfo`, `refsect1info`, `refsect2info`, `refsect3info`, `refsectioninfo`, `refsynopsisdivinfo`, `sect1info`, `sect2info`, `sect3info`, `sect4info`, `sect5info`, `sectioninfo`, `setindexinfo`, `setinfo`, `sidebarinfo`.

### Children

The following elements occur in subjectset: `subject`.

## Attributes

scheme

  `Scheme` identifies the controlled vocabulary used by this `SubjectSet`'s terms.

## See Also

`keyword`, `keywordset`, `subject`, `subjectterm`.

## Examples

    <!DOCTYPE subjectset PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <subjectset scheme="libraryofcongress">
    <subject>
      <subjectterm>Electronic Publishing</subjectterm>
    </subject>
    <subject>
      <subjectterm>SGML (Computer program language)</subjectterm>
    </subject>
    </subjectset>

subject |  | subjectterm

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.